Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.engine
Class QPublicAccess

    java.lang.Object
      |
      +--com.jxml.quick.access.QAccess
            |
            +--com.jxml.quick.access.QSimpleAccess
                  |
                  +--com.jxml.quick.engine.QPublicAccess

public class QPublicAccess
extends QSimpleAccess

Constructor Summary
`QPublicAccess()`

Method Summary
`void` | `add(Object parent, QTargetFactory parentFactory, Object child, QContext context)`
`protected Object` | `get(Object parent, QContext context)`
`protected void` | `validateChild(Object child, QContext context)`
`protected void` | `validateParent(Object parent, QContext context)`

Methods inherited from class com.jxml.quick.access.QSimpleAccess
`createIterator, readable, setIteratorParent, writeable`

Methods inherited from class com.jxml.quick.access.QAccess
`allocateIterator, releaseIterator, reserve, set`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QPublicAccess

    public QPublicAccess()

Method Detail

### validateParent

    protected void validateParent(Object parent,
                                  QContext context)
                           throws QPE

### get

    protected Object get(Object parent,
                         QContext context)
                  throws QPE

  Overrides:
    `get` in class `QSimpleAccess`

### validateChild

    protected void validateChild(Object child,
                                 QContext context)
                          throws QPE

### add

    public void add(Object parent,
                    QTargetFactory parentFactory,
                    Object child,
                    QContext context)
             throws QPE

  Overrides:
    `add` in class `QSimpleAccess`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD